Get X profile
Fetch public profile details and recent posts for an X (Twitter) username.
POST
/
api
/
v1
/
platform
/
scrapers
/
x
/
profile
Get X profile
curl --request POST \
--url https://developer.thehog.ai/api/v1/platform/scrapers/x/profile \
--header 'Content-Type: application/json' \
--header 'X-Access-Key: <api-key>' \
--header 'X-Secret-Key: <api-key>' \
--data '
{
"username": "elonmusk",
"maxTweets": 100.5
}
'{
"data": {
"username": "<string>",
"tweets": [
{
"id": "<string>",
"text": "<string>",
"is_retweet": true,
"created_at": "<string>",
"source": "<string>",
"lang": "<string>",
"conversation_id": "<string>",
"view_count": 123,
"bookmark_count": 123,
"like_count": 123,
"retweet_count": 123,
"reply_count": 123,
"quote_count": 123,
"url": "<string>",
"is_quote": true,
"is_reply": true,
"author_x_user_id": "<string>",
"author_username": "<string>",
"author_display_name": "<string>",
"retweet_tweet_id": "<string>",
"quote_tweet_id": "<string>"
}
],
"referencedTweets": [
{
"id": "<string>",
"text": "<string>",
"is_retweet": true,
"created_at": "<string>",
"source": "<string>",
"lang": "<string>",
"conversation_id": "<string>",
"view_count": 123,
"bookmark_count": 123,
"like_count": 123,
"retweet_count": 123,
"reply_count": 123,
"quote_count": 123,
"url": "<string>",
"is_quote": true,
"is_reply": true,
"author_x_user_id": "<string>",
"author_username": "<string>",
"author_display_name": "<string>",
"retweet_tweet_id": "<string>",
"quote_tweet_id": "<string>"
}
],
"authors": [
{
"x_user_id": "<string>",
"username": "<string>",
"display_name": "<string>",
"profile_url": "<string>",
"bio": "<string>",
"profile_picture_url": "<string>",
"followers_count": 123,
"following_count": 123,
"tweet_count": 123,
"is_verified": true,
"is_blue_verified": true,
"account_created_at": "<string>"
}
],
"bio": "<string>"
},
"meta": {
"requestId": "<string>"
}
}POST /api/v1/platform/scrapers/x/profile
Get an X (Twitter) profile and recent posts by username.Retrieve public profile details and recent posts for an X username.
Example
curl -X POST https://developer.thehog.ai/api/v1/platform/scrapers/x/profile \
-H "X-Access-Key: ak_xxxxxxxxxxxxxxxx" \
-H "X-Secret-Key: sk_xxxxxxxxxxxxxxxx" \
-H "Content-Type: application/json" \
-d '{"username": "elonmusk", "maxTweets": 20}'
Authorizations
The public API key from the Credentials page.
The API secret shown when the credential is created.
Body
application/json
⌘I
Get X profile
curl --request POST \
--url https://developer.thehog.ai/api/v1/platform/scrapers/x/profile \
--header 'Content-Type: application/json' \
--header 'X-Access-Key: <api-key>' \
--header 'X-Secret-Key: <api-key>' \
--data '
{
"username": "elonmusk",
"maxTweets": 100.5
}
'{
"data": {
"username": "<string>",
"tweets": [
{
"id": "<string>",
"text": "<string>",
"is_retweet": true,
"created_at": "<string>",
"source": "<string>",
"lang": "<string>",
"conversation_id": "<string>",
"view_count": 123,
"bookmark_count": 123,
"like_count": 123,
"retweet_count": 123,
"reply_count": 123,
"quote_count": 123,
"url": "<string>",
"is_quote": true,
"is_reply": true,
"author_x_user_id": "<string>",
"author_username": "<string>",
"author_display_name": "<string>",
"retweet_tweet_id": "<string>",
"quote_tweet_id": "<string>"
}
],
"referencedTweets": [
{
"id": "<string>",
"text": "<string>",
"is_retweet": true,
"created_at": "<string>",
"source": "<string>",
"lang": "<string>",
"conversation_id": "<string>",
"view_count": 123,
"bookmark_count": 123,
"like_count": 123,
"retweet_count": 123,
"reply_count": 123,
"quote_count": 123,
"url": "<string>",
"is_quote": true,
"is_reply": true,
"author_x_user_id": "<string>",
"author_username": "<string>",
"author_display_name": "<string>",
"retweet_tweet_id": "<string>",
"quote_tweet_id": "<string>"
}
],
"authors": [
{
"x_user_id": "<string>",
"username": "<string>",
"display_name": "<string>",
"profile_url": "<string>",
"bio": "<string>",
"profile_picture_url": "<string>",
"followers_count": 123,
"following_count": 123,
"tweet_count": 123,
"is_verified": true,
"is_blue_verified": true,
"account_created_at": "<string>"
}
],
"bio": "<string>"
},
"meta": {
"requestId": "<string>"
}
}